<!-- COPYPASTA WARNING
    Below are slightly modified templates from course.details.html.
    Where possible, the original translation keys have been kept.

    Most of what is in these templates could be generalized across courses and
    events. It's the pesky translation strings where I think we'll run into
    trouble when we try to unite them.
-->

<template name="eventGroupList">
  <div class="tag-group multiline">
    {{#each allGroups}}
      {{> groupTag groupId=this isOrganizer=isOrganizer}}
      {{#if isOrganizer}}
        <div class="tag group-tag addon">
          <span class="fa-solid fa-bullhorn fa-fw" aria-hidden="true"
                title="{{i18n 'grouplist.organizer.title' attr=true}}"></span>
        </div>
      {{/if}}
      {{#if tools}}
        <div class="btn-group tag-btn group-tag-btn addon align-top">
          <button type="button" class="dropdown-toggle" aria-expanded="false" aria-haspopup="true"
                  data-bs-toggle="dropdown">
          </button>
          <ul class="dropdown-menu dialog-dropdown">
            <li class="dropdown-header">
              {{i18n 'grouplist.editgroup.header'}}
              <button type="button" class="btn-close"></button>
            </li>
            <li>
              <hr class="dropdown-divider">
            </li>
            {{#each tools}}
              <li class="dialog-dropdown-btn">{{> toolTemplate}}</li>
            {{/each}}
          </ul>
        </div>
      {{/if}}
    {{/each}}
    {{> eventGroupAdd}}
  </div>
</template>

<template name="eventGroupAdd">
  {{#if groupsToAdd}}
    <div class="btn-group tag-btn group-tag-btn align-top">
      <button type="button" class="dropdown-toggle" aria-expanded="false" aria-haspopup="true"
              data-bs-toggle="dropdown">
        <span class="fa-solid fa-plus fa-fw" aria-hidden="true"></span>
        <span>{{i18n 'event.group.addText' 'link a group'}}</span>
      </button>
      <ul class="dropdown-menu dialog-dropdown">
        <li class="dropdown-header">
          {{i18n 'grouplist.addgroups.header'}}
          <button type="button" class="btn-close"></button>
        </li>
        <li>
          <hr class="dropdown-divider">
        </li>
        {{#each groupsToAdd}}
          <li>
            <button class="btn btn-link js-add-group" type="button" value="{{this}}">
              {{name this}}
            </button>
          </li>
        {{/each}}
        <li class="dialog-dropdown-btn">
          <a href="{{pathFor 'groupDetails' _id='create'}}" class="btn btn-success">
            {{i18n 'profile.createNewGroup.button'}}
          </a>
        </li>
      </ul>
    </div>
  {{/if}}
</template>

<template name="eventGroupRemove">
  {{#if expanded}}
    <div class="group-tool-dialog danger">
      {{i18n 'event.group.confirmRemoveText' 'Remove the "{NAME}" group from this event?' NAME=(name groupId)}}
      <button type="button" class="btn btn-danger js-remove">
        {{i18n 'course.group.confirmRemoveButton'}}
      </button>
    </div>
  {{else}}
    <a href="#" class="js-expand btn btn-danger">
      <span class="fa-solid fa-xmark fa-fw" aria-hidden="true"></span>
      {{i18n 'course.group.remove'}}
    </a>
  {{/if}}
</template>

<template name="eventGroupMakeOrganizer">
  {{#if expanded}}
    <div class="group-tool-dialog add">
      {{i18n 'course.group.confirmOrgText' NAME=(name groupId)}}
      {{i18n 'event.group.confirmOrgNotes' "All members of this group will be able to edit this event."}}
      <button type="button" class="btn btn-success js-makeOrganizer">
        {{i18n 'course.group.confimOrgButton'}}
      </button>
    </div>
  {{else}}
    <a href="#" class="js-expand btn btn-success">
      <span class="fa-solid fa-bullhorn fa-fw" aria-hidden="true"></span>
      {{i18n 'course.group.addOrgText'}}
    </a>
  {{/if}}
</template>
